# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXExecuteTaskGroup

Function

Runs the group of tasks in the current group in parallel, if possible.

Syntax
`
#include <dx/dx.h>
`

Error DXExecuteTaskGroup()

Functional Details

Begins executing the tasks belonging to the current task group. `DXCreateTaskGroup` waits for the completion of all tasks in this task group. The tasks are started in decreasing order of the work estimate given in `DXAddTask`.

Return Value

Returns `OK` if all tasks in the task group complete without error; otherwise, returns `ERROR`. Any error code returned is set by the task involved.

See Also

`DXAddTask, DXCreateTaskGroup`

13.8 , "Parallelism".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]